<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="obj_cfg.xsd"/>
<xsd:include schemaLocation="common_trans.xsd"/>




	<xsd:element name="TRANS_CFG">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="CFG_TYPE" type="CfgTypeType"/>
	
	<xsd:simpleType name="CfgTypeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="user"/>
			<xsd:enumeration value="debug"/>
		</xsd:restriction>
	</xsd:simpleType>
	
	<xsd:element name="GET_CFG">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CFG_TYPE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="SET_CFG">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CFG_TYPE"/>
				<xsd:element ref="SYSTEM_CFG"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET_CFG"/>
			<xsd:element ref="SET_CFG"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>



</xsd:schema>